package com.raycos.raycoscommon.Internal.datacenterapi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;


@Data
@AllArgsConstructor
@NoArgsConstructor
public class TbAmzOrder {
    @TableId(type = IdType.AUTO)
    private Integer id;
    private Integer companyId;
    private Integer storeId;
    private String amazonOrderId;
    private LocalDateTime purchaseDate;
    private LocalDateTime lastUpdateDate;
    private String orderStatus;
    private String fulfillmentChannel;
    private String salesChannel;
    private String shipServiceLevel;
    private String currencyCode;
    private BigDecimal amount;
    private Integer numberOfItemsShipped;
    private Integer numberOfItemsUnshipped;
    private String paymentMethod;
    // 注意：这里使用String，实际使用时可能需要转换为JSON
    private String paymentMethodDetails;
    private Boolean isReplacementOrder;
    private String marketplaceId;
    private String shipmentServiceLevelCategory;
    private String orderType;
    private LocalDateTime earliestShipDate;
    private LocalDateTime latestShipDate;
    private LocalDateTime earliestDeliveryDate;
    private LocalDateTime latestDeliveryDate;
    private Boolean isBusinessOrder;
    private Boolean isPrime;
    private Boolean isAccessPointOrder;
    private Boolean isGlobalExpressEnabled;
    private Boolean isPremiumOrder;
    private Boolean isSoldByAb;
    private Boolean isIba;
    private String easyShipShipmentStatus;
    private String electronicInvoiceStatus;
    private LocalDateTime createdAt;
    private LocalDateTime updatedAt;
}
