package com.raycos.raycosdatacenterapi.amzorder;


import com.raycos.raycoscommon.Internal.Result;
import com.raycos.raycoscommon.Internal.datacenterapi.TbAmzOrderOriginal;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/erp/amzorderoriginal")
public class AmzOrderOriginalController {

    @Autowired
    private AmzOrderOriginalService amzOrderOriginalService;

    @PostMapping("/addOrderoRiginal")
    public Result<String> addOrderoRiginal(@RequestBody TbAmzOrderOriginal taoo) {
        Result<String> rt = new Result<>();
        try {
            amzOrderOriginalService.add(taoo);
            rt.success();
            rt.setMsg("新增订单成功！");
        } catch (Exception e) {
            rt.fail();
            log.error("  /addOrderoRiginal 异常 ", e);
        }
        return rt;
    }

    @GetMapping("/selAllOrderoRiginal")
    public Result<List<TbAmzOrderOriginal>> selAllOrderoRiginal() {
        Result<List<TbAmzOrderOriginal>> rt = new Result<>();
        try {
            rt.success(amzOrderOriginalService.selAll(null));
            rt.setMsg("订单原始数据查询成功！");
        } catch (Exception e) {
            rt.fail();
            log.error(" /selAllOrderoRiginal  异常 ", e);
        }
        return rt;
    }


}
