package com.raycos.raycosdatacenterapi.amzorder;


import com.raycos.raycoscommon.Internal.Result;
import com.raycos.raycoscommon.Internal.datacenterapi.TbAmzPullOrderTask;
import com.raycos.raycosdatacenterapi.config.attach.SendAmzPullOrderMsg;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 亚马逊拉单
 */
@RestController
@Slf4j
@RequestMapping("/erp/amzorder")
public class AmzPullOrderController {


    @Autowired
    private AmzPullOrderService amzPullOrderService;


    @Autowired
    private SendAmzPullOrderMsg sendAmzPullOrderMsg;

    @GetMapping("/getorder")
    public Result<String> getorder() {
        Result<String> rt = new Result<>();
        try {
            log.info(" 来了老铁   ");
            TbAmzPullOrderTask task = new TbAmzPullOrderTask();
            task.setCompanyId(100001);
            sendAmzPullOrderMsg.sendMessage(task);
            rt.success();
        } catch (Exception e) {
            rt.fail();
            log.error("   异常 ", e);
        }
        return rt;
    }


}
