package com.raycos.raycosdatacenterapi.amzorder.impl;

import com.alibaba.fastjson2.JSONObject;
import com.raycos.raycoscommon.Internal.datacenterapi.TbAmzPullOrderTask;
import com.raycos.raycosdatacenterapi.amzorder.AmzPullOrderService;
import com.raycos.raycosdatacenterapi.amzorder.util.AmazonUtil;
import com.raycos.raycosdatacenterapi.amzorder.util.CommonUtil;
import com.raycos.raycosdatacenterapi.authorize.AmzTokenService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import javax.annotation.Resource;
import java.util.Date;


/**
 * 亚马逊拉单服务
 */
@Service
@Slf4j
public class AmzPullOrderServiceImpl implements AmzPullOrderService {


    @Autowired
    private AmzTokenService amzTokenService;

    //@Resource(name = "ExternalNetwork")
    private static RestTemplate enRrestTemplate;



    @Autowired
    public void setMyDependency(RestTemplate restTemplate) {
        AmzPullOrderServiceImpl.enRrestTemplate = restTemplate;
    }

    public static RestTemplate getMyDependency() {
        return enRrestTemplate;
    }



    /**
     * 拉取亚马逊订单
     *
     * @throws Exception
     */
    @Override
    public void sendGetOrders(TbAmzPullOrderTask task) throws Exception {

        // 根据 企业编号 与站点 查询 amz接口令牌



    }


    private static final String accessToken = "Atza|IwEBIPmiS7q9d3TZFgfAbYxjTbWVEdtuYoRKgR1DTeywc1BY6EsA6ROmvoqqlwvx_08JWZLHgg5mSXMLuRVPu9vgDqhzTuVc4JH2qcRWf-wegd2JpJY5NslLho6IG5ftGSwwbiuKgrGA_AI1tnW9BkHbZZhdQbDlW4sqoKfVrT_E9iEyZYfCsOZtoLpScMWbaBi2jaHjRv27tuS2jzpeDF-NzOOAETzPD7PKWKNfLp__eq1QabglUJ6ax5sBMYPsdZm30CViI6yZXZrfkV0zctkDJ4TPy7K58ARU5okQhQu6v9WN8oRZQOfx6ziPHoLlD5u9kUAAGL4GRojFEeXi6rdX4mLUeEI8cQlXGyspsP1Uv8xbnA";
    private static final String marketplaceId = "ATVPDKIKX0DER";

    private static final String HOST = "sandbox.sellingpartnerapi-na.amazon.com";
    private static final String region = "us-east-1";

    private static final String apiMethod = "/orders/v0/orders?";


//    Date date = new Date();
//    String reqDateTime = CommonUtil.getTimeFormat(date, "yyyyMMdd'T'HHmmss'Z'", true);

    public static void getorder1() throws Exception {

        String queryString = "CreatedAfter=TEST_CASE_200&MarketplaceIds=" + marketplaceId + "&MaxResultsPerPage=2";
        enRrestTemplate = new RestTemplate();
        String url = "https://" + HOST + apiMethod + queryString;
        // 设置请求头
        HttpHeaders headers = new HttpHeaders();
        headers.setAll(AmazonUtil.calculateAwsSignatureAndReturnHeaders(
                apiMethod,
                "GET",
                HOST,
                "",
                queryString,
                region,
                accessToken
        ));
        // 创建请求实体
        HttpEntity<String> entity = new HttpEntity<>(headers);

        // 发送请求
        ResponseEntity<String> resp = enRrestTemplate.exchange(
                url,
                HttpMethod.GET,
                entity,
                String.class
        );
        log.info("   orders 接口返回 " + JSONObject.toJSONString(resp));

    }


    public static void main(String[] args) {
        Date date = new Date();
        String reqDateTime = CommonUtil.getTimeFormat(date, "yyyyMMdd'T'HHmmss'Z'", true);
        System.out.println(reqDateTime);
        try {
            AmzPullOrderServiceImpl.getorder1();
        } catch (Exception e) {
            e.printStackTrace();
        }


    }

}
