package com.raycos.raycosdatacenterapi.amzorder.impl;

import com.raycos.raycoscommon.Internal.datacenterapi.TbAmzPullOrderTask;
import com.raycos.raycosdatacenterapi.amzorder.AmzPullOrderTaskService;
import com.raycos.raycosdatacenterapi.mapper.AmzPullOrderTaskMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Slf4j
@Service
public class AmzPullOrderTaskServiceImpl implements AmzPullOrderTaskService {

    @Autowired
    private AmzPullOrderTaskMapper amzPullOrderTaskMapper;

    @Override
    public void add(TbAmzPullOrderTask params) throws Exception {
        amzPullOrderTaskMapper.insert(params);
    }

    @Override
    public void delById(TbAmzPullOrderTask params) throws Exception {
        amzPullOrderTaskMapper.deleteById(params.getId());
    }

    @Override
    public void editById(TbAmzPullOrderTask params) throws Exception {
        amzPullOrderTaskMapper.updateById(params);
    }

    @Override
    public List<TbAmzPullOrderTask> selAll(TbAmzPullOrderTask params) throws Exception {
        return amzPullOrderTaskMapper.selectList(null);
    }

    /**
     * 查询需要拉去订单的店铺信息
     *
     * @param params
     * @return
     * @throws Exception
     */
    @Override
    public List<TbAmzPullOrderTask> findPullTask(TbAmzPullOrderTask params) throws Exception {
        return amzPullOrderTaskMapper.findPullTask( params.getLastOperationTime() , params.getRetryCount() );
    }


}
