package com.raycos.raycosdatacenterapi.amzorder.util;

import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.io.UnsupportedEncodingException;
import java.security.InvalidKeyException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.TimeZone;

public class CommonUtil {
	
	public static String getTimeFormat(Date d,String pattern,boolean utc) {
		SimpleDateFormat f = new SimpleDateFormat(pattern);
		if(utc) {
			f.setTimeZone(TimeZone.getTimeZone("UTC"));
		}
		return f.format(d);
	}
	
	public static String getTimeFormat(Date d,String pattern) {
		return getTimeFormat(d, pattern,false);
	}
	
	public static String getTimeFormat(String pattern) {
		return getTimeFormat(new Date(), pattern,false);
	}
	
	/**
	 * hmac256加密
	 * 
	 * @param data
	 * @param key
	 * @return
	 * @throws NoSuchAlgorithmException 
	 * @throws InvalidKeyException 
	 * @throws UnsupportedEncodingException 
	 * @throws IllegalStateException 
	 * @throws Exception
	 */
	public static byte[] hmacSha256(String data, byte[] key) throws NoSuchAlgorithmException, InvalidKeyException, IllegalStateException, UnsupportedEncodingException {
	    String algorithm = "HmacSHA256";
	    Mac sha256_HMAC = Mac.getInstance(algorithm);
	    sha256_HMAC.init(new SecretKeySpec(key, algorithm));
	    return sha256_HMAC.doFinal(data.getBytes("UTF-8"));
	}
	
	/**
	 * sha256加密
	 * 
	 * @param str 要加密的字符串
	 * @return
	 * @throws NoSuchAlgorithmException 
	 * @throws UnsupportedEncodingException 
	 */
	public static String sha256(String str) throws NoSuchAlgorithmException, UnsupportedEncodingException{
		
		MessageDigest md = MessageDigest.getInstance("SHA-256");
		md.update(str.getBytes("UTF-8"));
		return byte2hex(md.digest());
	}
	
	/**
	 * 字节byte转16进制
	 * 
	 * @param digest 要转换的字节
	 * @return
	 */
	public static String byte2hex(byte[] bytes) {
		StringBuffer sb = new StringBuffer();
		String temp = null;
		for (int i = 0; i < bytes.length; i++) {
			temp = Integer.toHexString(bytes[i] & 0xFF);
			if (temp.length() == 1) {
				sb.append("0");
			}
			sb.append(temp);
		}
		return sb.toString();
	}

	public static void main(String[] args) {
		SimpleDateFormat f = new SimpleDateFormat("yyyyMMdd");
		f.setTimeZone(TimeZone.getTimeZone("UTC"));
		System.out.println(f.format(new Date()));
	}
}
