package com.raycos.raycosdatacenterapi.config;

import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.Queue;
import org.springframework.amqp.core.TopicExchange;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;


/**
 * 创建一个 RabbitMQ 配置类来定义队列、交换机和绑定关系：
 */
@Configuration
public class RabbitMQConfig {
    public static final String AMZ_PULL_ORDER_QUEUE = "AMZ_PULL_ORDER_QUEUE";
    public static final String AMZ_PULL_ORDER_TOPICEXCHANGE = "AMZ_PULL_ORDER_TOPICEXCHANGE";
    public static final String AMZ_PULL_ORDER_ROUTINGKEY = "AMZ_PULL_ORDER_ROUTINGKEY";

    @Bean
    public Queue myQueue() {
        return new Queue(AMZ_PULL_ORDER_QUEUE, false);
    }

    @Bean
    public TopicExchange exchange() {
        return new TopicExchange(AMZ_PULL_ORDER_TOPICEXCHANGE);
    }

    @Bean
    public Binding binding(Queue queue, TopicExchange exchange) {
        return BindingBuilder.bind(queue).to(exchange).with(AMZ_PULL_ORDER_ROUTINGKEY);
    }
}
