package com.raycos.raycosdatacenterapi.config.attach;

import com.alibaba.fastjson2.JSONObject;
import com.raycos.raycoscommon.Internal.datacenterapi.TbAmzPullOrderTask;
import com.raycos.raycosdatacenterapi.amzorder.AmzPullOrderService;
import com.raycos.raycosdatacenterapi.config.RabbitMQConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;


@Slf4j
@Component
public class AmzPullOrderConsumer {

    @Autowired
    private AmzPullOrderService amzPullOrderService;

    @RabbitListener(queues = RabbitMQConfig.AMZ_PULL_ORDER_QUEUE)
    public void receiveMessage(String message) {
        log.info(" 来了老弟  Received message: " + message);
        try {
            TbAmzPullOrderTask task = JSONObject.parseObject(message, TbAmzPullOrderTask.class);
            amzPullOrderService.sendGetOrders( task );

        } catch (Exception e) {
             log.error( "亚马逊拉单消费 异常 " , e);
        }

    }
}
