package com.raycos.raycosdatacenterapi.config.attach;

import com.alibaba.fastjson2.JSONObject;
import com.raycos.raycoscommon.Internal.datacenterapi.TbAmzPullOrderTask;
import com.raycos.raycosdatacenterapi.config.RabbitMQConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.AmqpException;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 发送亚马逊拉单  MQ任务信息
 */
@Service
@Slf4j
public class SendAmzPullOrderMsg {
    @Autowired
    private RabbitTemplate rabbitTemplate;

    /**
     * 消息发送
     * 消息发送失败
     *
     * @param task
     */
    public void sendMessage(TbAmzPullOrderTask task) {
        String message = JSONObject.toJSONString(task);
        try {
            rabbitTemplate.convertAndSend(RabbitMQConfig.AMZ_PULL_ORDER_TOPICEXCHANGE, RabbitMQConfig.AMZ_PULL_ORDER_ROUTINGKEY, message);
        } catch (AmqpException e) {
            log.info("亚马逊拉单任务发送MQ信息失败=>  " + message);
        }

    }
}
